#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  brotli-1.2.0

- Next

  dbus-glib-0.114

- Up
- Home

# CLucene-2.3.3.4

## Introduction to CLucene

CLucene is a C++ version of Lucene, a high performance text search engine.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/clucene/clucene-core-2.3.3.4.tar.gz

- Download MD5 sum: 48d647fbd8ef8889e5a7f422c1bfda94

- Download size: 2.2 MB

- Estimated disk space required: 78 MB

- Estimated build time: 0.8 SBU

### Additional Downloads

- Required patch: https://www.linuxfromscratch.org/patches/blfs/svn/clucene-2.3.3.4-contribs_lib-1.patch

### CLucene Dependencies

#### Required

CMake-4.3.2

#### Recommended

Boost-1.90.0

## Installation of CLucene

Install CLucene by running the following commands:

    patch -Np1 -i ../clucene-2.3.3.4-contribs_lib-1.patch &&

    sed -i '/Misc.h/a #include <ctime>' src/core/CLucene/document/DateTools.cpp &&

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D CMAKE_POLICY_VERSION_MINIMUM=3.5 \
          -D BUILD_CONTRIBS_LIB=ON            \
          -W no-dev ..                        &&
    make

Now, as the `root` user:

    make install

## Command Explanations

`-D CMAKE_POLICY_VERSION_MINIMUM=3.5`: This switch allows building this package with cmake-4.0 or newer.

`-D BUILD_CONTRIBS_LIB=ON`: This cmake variable enables building the CLucene contribs library necessary for running applications that use language specific text analyzers like LibreOffice for example.

`-W no-dev`: This parameter silences several warnings only intended for project developers.

## Contents

Installed Programs: None
Installed Libraries: libclucene-contribs-lib.so, libclucene-core.so, and libclucene-shared.so
Installed Directories: /usr/include/CLucene and /usr/lib/CLuceneConfig.cmake

- Prev

  brotli-1.2.0

- Next

  dbus-glib-0.114

- Up
- Home